Bug 70579 - strace -e does not work on ia64-7.2
Summary: strace -e does not work on ia64-7.2
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: strace   
(Show other bugs)
Version: 7.2
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-02 18:57 UTC by Mike McLean
Modified: 2007-04-18 16:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-10 23:07:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike McLean 2002-08-02 18:57:47 UTC
Observed on RedHat 7.2 ia64 
* strace-4.3-2

strace -e does not work on ia64-7.1

[root@ia64-72 tmp]# strace -e brk cat /etc/passwd  2>&1 1>/dev/null |wc
      0       0       0
[root@ia64-72 tmp]# strace cat /etc/passwd  2>&1 1>/dev/null |grep '^brk'    
brk(0)                                  = 0x600000000000bac8
brk(0)                                  = 0x600000000000bac8
brk(0x600000000000bb08)                 = 0x600000000000bb08
brk(0x600000000000c000)                 = 0x600000000000c000
brk(0x6000000000010000)                 = 0x6000000000010000
brk(0x6000000000018000)                 = 0x6000000000018000

Tried with various binaries and various system calls. Also tried various forms
of the -e argument ( -ebrk  -e'trace=brk' ).

Some of the special -e options, like -efile and -eprocess, *do* work however.

Comment 1 Roland McGrath 2002-12-18 04:55:28 UTC
I can reproduce this with current versions on ia64 still and will take a look.

Comment 2 Roland McGrath 2002-12-30 10:18:44 UTC
I've fixed this in the upstream sources and will hhve an update soon.


Comment 3 Roland McGrath 2003-01-10 23:07:46 UTC
Version 4.4.91-1 should work fine.



Note You need to log in before you can comment on or make changes to this bug.